Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Repository Certificates

List all available repository certificates

get

List repository certificates.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional
query.hostNamePatternstringOptional

A file-glob pattern (not regular expression) the host name has to match.

query.certTypestringOptional

The type of the certificate to match (ssh or https).

query.certSubTypestringOptional

The sub type of the certificate to match (protocol dependent, usually only used for ssh certs).

Responses
200

A successful response.

application/json
get/api/v1/agents/{agentIdentifier}/certificates
GET /api/v1/agents/{agentIdentifier}/certificates HTTP/1.1
Accept: */*
{
  "metadata": {
    "selfLink": "text",
    "resourceVersion": "text",
    "continue": "text",
    "remainingItemCount": "text",
    "shardInfo": {
      "selector": "text"
    }
  },
  "items": [
    {
      "serverName": "text",
      "certType": "text",
      "certSubType": "text",
      "certData": "Ynl0ZXM=",
      "certInfo": "text"
    }
  ]
}

Creates repository certificates on the server

post

Create repository certificates.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
upsertbooleanOptional
Responses
200

A successful response.

application/json
post/api/v1/agents/{agentIdentifier}/certificates
POST /api/v1/agents/{agentIdentifier}/certificates HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 277

{
  "certificates": {
    "metadata": {
      "selfLink": "text",
      "resourceVersion": "text",
      "continue": "text",
      "remainingItemCount": "text",
      "shardInfo": {
        "selector": "text"
      }
    },
    "items": [
      {
        "serverName": "text",
        "certType": "text",
        "certSubType": "text",
        "certData": "Ynl0ZXM=",
        "certInfo": "text"
      }
    ]
  },
  "upsert": true
}
{
  "metadata": {
    "selfLink": "text",
    "resourceVersion": "text",
    "continue": "text",
    "remainingItemCount": "text",
    "shardInfo": {
      "selector": "text"
    }
  },
  "items": [
    {
      "serverName": "text",
      "certType": "text",
      "certSubType": "text",
      "certData": "Ynl0ZXM=",
      "certInfo": "text"
    }
  ]
}

Delete the certificates that match the RepositoryCertificateQuery

delete

Delete repository certificates.

Path parameters
agentIdentifierstringRequired

Agent identifier for entity.

Query parameters
accountIdentifierstringOptional

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional
query.hostNamePatternstringOptional

A file-glob pattern (not regular expression) the host name has to match.

query.certTypestringOptional

The type of the certificate to match (ssh or https).

query.certSubTypestringOptional

The sub type of the certificate to match (protocol dependent, usually only used for ssh certs).

Responses
200

A successful response.

application/json
delete/api/v1/agents/{agentIdentifier}/certificates
DELETE /api/v1/agents/{agentIdentifier}/certificates HTTP/1.1
Accept: */*
{
  "metadata": {
    "selfLink": "text",
    "resourceVersion": "text",
    "continue": "text",
    "remainingItemCount": "text",
    "shardInfo": {
      "selector": "text"
    }
  },
  "items": [
    {
      "serverName": "text",
      "certType": "text",
      "certSubType": "text",
      "certData": "Ynl0ZXM=",
      "certInfo": "text"
    }
  ]
}

Last updated

Was this helpful?